Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to install Handbrake on gentoo
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
newtonian
Guru
Guru


Joined: 19 Jan 2005
Posts: 454
Location: Hokkaido Japan

PostPosted: Fri Mar 11, 2011 5:26 am    Post subject: How to install Handbrake on gentoo Reply with quote

Handbrake is not yet in portage and I have a feeling it won't be officially in portage for quite a while. Here's a guide on how to install Handbrake using a portage overlay.

Create a new directory that will be the root of your own portage tree, e. g.
Code:
mkdir /usr/local/portage


echo 'PORTDIR_OVERLAY=/usr/local/portage' >> /etc/make.conf

create the handbrake directory to place the ebuild
Code:
mkdir -p /usr/local/portage/media-video/handbrake/


go to the ebuild directory and download the ebuild:

Code:
cd /usr/local/portage/media-video/handbrake/
mv  attachment.cgi\?id\=257334 handbrake-9999.ebuild

And put the following code in the ebuild file:


You may be able to find new ebuilds here:
http://bugs.gentoo.org/show_bug.cgi?id=89432

Create a manifest:
Code:
ebuild handbrake-9999.ebuild digest


Then emerge Handbrake:

Code:
emerge -av handbrake


NOTE: if you get stuck on on the SVN portion of the emerge you make have to open up port 3690 for Subversion traffic

and you should be good to go:

you can run HandbrakeCLI for the command line version or ghb for the gui.


Cheers,
Back to top
View user's profile Send private message
Yamakuzure
Veteran
Veteran


Joined: 21 Jun 2006
Posts: 1372
Location: Bardowick, Germany

PostPosted: Fri Mar 11, 2011 9:49 am    Post subject: Reply with quote

It would be nice to know what "handbrake" outside a car actually is, though...

Du you mean this?
handbrake.fr wrote:
HandBrake is an open-source, GPL-licensed, multiplatform, multithreaded video transcoder, available for MacOS X, Linux and Windows.

_________________
I *do* know that I easily aggravate people due to my condensed writing. Rule of thumb: If I wrote anything that can be understood in two different ways, and one way offends you, then I meant the other! ;)
Back to top
View user's profile Send private message
tomk
Administrator
Administrator


Joined: 23 Sep 2003
Posts: 7219
Location: Sat in front of my computer

PostPosted: Fri Mar 11, 2011 11:17 am    Post subject: Reply with quote

Moved from Multimedia to Unsupported Software as it's not in the Portage tree.
_________________
Search | Read | Answer | Report | Strip
Back to top
View user's profile Send private message
tundra
Tux's lil' helper
Tux's lil' helper


Joined: 27 Jan 2005
Posts: 94

PostPosted: Wed Nov 02, 2011 2:00 pm    Post subject: Reply with quote

This will no longer compile for me. I have the same problem trying to compile it manually from the SVN version. Something evidently got upgraded at some point. I cannot find much informative in the build log (just "emake failed"), but the SVN dies at the same point (configuring a52dec) with this error:

Code:

aclocal: macro `_LT_DECL_SED' required but not defined
aclocal: macro `_LT_FUNC_STRIPNAME_CNF' required but not defined
autoreconf-2.68: aclocal failed with exit status: 1
make: *** [contrib/a52dec/.stamp.configure] Error 1


Any ideas how to fix this?
_________________
Enlightenment comes when you hear the sound of one hand slapping your forehead.
Back to top
View user's profile Send private message
SDNick484
Tux's lil' helper
Tux's lil' helper


Joined: 05 Dec 2005
Posts: 142

PostPosted: Thu Nov 10, 2011 7:10 pm    Post subject: Reply with quote

tundra wrote:
This will no longer compile for me. I have the same problem trying to compile it manually from the SVN version. Something evidently got upgraded at some point. I cannot find much informative in the build log (just "emake failed"), but the SVN dies at the same point (configuring a52dec) with this error:

Code:

aclocal: macro `_LT_DECL_SED' required but not defined
aclocal: macro `_LT_FUNC_STRIPNAME_CNF' required but not defined
autoreconf-2.68: aclocal failed with exit status: 1
make: *** [contrib/a52dec/.stamp.configure] Error 1


Any ideas how to fix this?


I believe that's a automake bug that I've seen on some other packages. Try upgrading to automake-1.11.1 and see if the problem persists.
Back to top
View user's profile Send private message
tundra
Tux's lil' helper
Tux's lil' helper


Joined: 27 Jan 2005
Posts: 94

PostPosted: Thu Nov 10, 2011 7:26 pm    Post subject: Reply with quote

Thanks for your input. The ebuild says WANT_AUTOMAKE=1.9. I actually have automake 1.4, 1.9, 1.10, and 1.11 on my system. Changing WANT_AUTOMAKE=1.x for x=9,10,11 produces the same result. For x=4, however, it works for a52dec, then dies on faad2 instead.
_________________
Enlightenment comes when you hear the sound of one hand slapping your forehead.
Back to top
View user's profile Send private message
SDNick484
Tux's lil' helper
Tux's lil' helper


Joined: 05 Dec 2005
Posts: 142

PostPosted: Thu Nov 10, 2011 7:28 pm    Post subject: Reply with quote

tundra wrote:
Thanks for your input. The ebuild says WANT_AUTOMAKE=1.9. I actually have automake 1.4, 1.9, 1.10, and 1.11 on my system. Changing WANT_AUTOMAKE=1.x for x=9,10,11 produces the same result. For x=4, however, it works for a52dec, then dies on faad2 instead.


Interesting. I built the -9999 ebuild just a couple weeks ago on ~amd64 with no problems. I'll go ahead and give it a go tonight or tomorrow and see if I also encounter that issue.
Back to top
View user's profile Send private message
tundra
Tux's lil' helper
Tux's lil' helper


Joined: 27 Jan 2005
Posts: 94

PostPosted: Thu Nov 10, 2011 7:39 pm    Post subject: Reply with quote

It is very recent. I rebuilt handbrake after upgrading libpng to 1.5 (which I did on Oct 26) and it worked fine, but then revdep-rebuild wanted to rebuild it again because of a webkit-gtk upgrade (on Nov 1), and that's when it failed. I'd be interested to see if others experience the same trouble.
_________________
Enlightenment comes when you hear the sound of one hand slapping your forehead.
Back to top
View user's profile Send private message
ultraslinky
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2011
Posts: 80
Location: Milan, Italy

PostPosted: Fri Nov 11, 2011 12:05 am    Post subject: Reply with quote

I have found that Handbrake from the SVN won't build at all if i don't use WANT_AUTOMAKE=1.11. And after that, the requirement for "webkit-1.0" was sending me crazy... I was so puzzled as where to get this "webkit-1.0" on gentoo. In the end the earliest version of webkit-gtk in portage, version 1.2.7, did the job. The problem is, now that isn't in the portage tree anymore, with the earliest version being webkit-gtk-1.4... And that doesn't work!! Luckily i had the distfile for webkit-gtk-1.2.7 from another computer. Mask the updates or Handbrake won't build...

Still, I don't understand why Handbrake needs webkit... It's a video encoding software, there is no need for a huge html rendering library, and plus i can't even see where it is used in the software!
Back to top
View user's profile Send private message
tundra
Tux's lil' helper
Tux's lil' helper


Joined: 27 Jan 2005
Posts: 94

PostPosted: Fri Nov 11, 2011 1:41 am    Post subject: Reply with quote

That's funny, it never occurred to me to use WANT_AUTOMAKE outside an ebuild! When I do WANT_AUTOMAKE=1.11 and then build the SVN version it does indeed compile, but if I do it inside the ebuild it fails. That webkit-gtk issue is a show-stopper for me, though.
_________________
Enlightenment comes when you hear the sound of one hand slapping your forehead.
Back to top
View user's profile Send private message
ultraslinky
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2011
Posts: 80
Location: Milan, Italy

PostPosted: Fri Nov 11, 2011 8:02 am    Post subject: Reply with quote

I am now trying to understand where to put these header files so handbrake will find them and compile... any tips?
Back to top
View user's profile Send private message
Twist
Guru
Guru


Joined: 03 Jan 2003
Posts: 414
Location: San Diego

PostPosted: Tue Nov 15, 2011 7:15 am    Post subject: Reply with quote

If you are willing to just ignore the ebuild:

Code:

svn co svn://svn.handbrake.fr/HandBrake/trunk HandBrake
export WANT_AUTOMAKE=1.11
cd HandBrake
./configure
cd ./build
make


Obviously you need subversion installed first (emerge -pv subversion to check). The Handbrake build system is relatively crazy (it downloads all internal dependents as specific versions and builds/links them locally), but the above works for me.

The resulting executable will be in HandBrake/build/gtk/src and called "ghb".
Back to top
View user's profile Send private message
ultraslinky
Tux's lil' helper
Tux's lil' helper


Joined: 09 Jun 2011
Posts: 80
Location: Milan, Italy

PostPosted: Tue Nov 15, 2011 10:07 pm    Post subject: Reply with quote

That way it's bulding fine... But what can i use to make it stop complaining about "webkit-1.0" missing? I can't find any ebuild in portage that will help (yes, i tried webkit-gtk...)
Back to top
View user's profile Send private message
tundra
Tux's lil' helper
Tux's lil' helper


Joined: 27 Jan 2005
Posts: 94

PostPosted: Tue Nov 15, 2011 11:32 pm    Post subject: Reply with quote

OK, finally got his working. I found an ebuild for webkit-gtk-1.2.7 here.

I also had to find some patch files that it wanted, which I just googled by name (sorry, don't remember where I picked them up). Put the whole mess under my local portage directory, built it, which created a slotted version, then successfully built handbrake!
_________________
Enlightenment comes when you hear the sound of one hand slapping your forehead.
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 352

PostPosted: Mon Jan 02, 2012 5:37 am    Post subject: "pic" flag on ffmpeg and x264 needed? Reply with quote

When compiling handbrake, I repeatedly ended up at the error:
Code:
relocation R_X86_64_32 against `x264_cabac_range_lps' can not be used when making a shared object; recompile with -fPIC
./contrib/lib/libx264.a: could not read symbols: Bad value

withoiut and with "-fPIC" in the C[XX]FLAGS
With was the second time after I followed the advice given here:
http://www.gentoo.org/proj/en/base/amd64/howtos/index.xml?part=1&chap=3#doc_chap6
Further research gives me the probable solution:
http://ubuntuforums.org/archive/index.php/t-786095-p-3.html
where very similar error to mine is shed light upon...
If I understood correctly, and the solution to successfully work around this error is the following addition to my /etc/portage/package.use:
Code:
...
>=media-video/ffmpeg-0.9 sdl jpeg2k mp3 x264 X ieee1394 theora schroedinger dirac pic
...
media-libs/x264 pic

(that is, actually, just the flag "pic" added to both those packages, ffmpeg's got many flags since long in my package.use...
then I won't be back here.
If not, I will be, to look for advice... Thanks!
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 352

PostPosted: Mon Jan 02, 2012 11:09 am    Post subject: Re: "pic" flag on ffmpeg and x264 needed? Reply with quote

miroR wrote:
When compiling handbrake, I repeatedly ended up at the error:
Code:
relocation R_X86_64_32 against `x264_cabac_range_lps' can not be used when making a shared object; recompile with -fPIC
./contrib/lib/libx264.a: could not read symbols: Bad value

withoiut and with "-fPIC" in the C[XX]FLAGS
...[snip]...
Code:
...
>=media-video/ffmpeg-0.9 ...[snip]... pic
...
media-libs/x264 pic

(that is, actually, just the flag "pic" added to both those packages
...[snip]...

I've gotten the same error, consistently, with or without "-fPIC" stuck in CFLAGS as advised in links in the previous post of mine, and with as without the "pic" use flags for packages x264 and ffmpeg.
A few times over.
handbrake is in the order of the day for me, as I can't solve issues on my daily schedule without it (at least I don't know how I could: I need to hard burn in subtitles in MP4 video. Subtile file is made, I know of no other program t this time that can do that.
I need to do so, for the file to be uploadable with subtitles on Youtube or Vimeo or similarly, without the fuss of instructions and explanation on a separate file with the subtitles... Thanks if anyone points me to an alternative solution for me!
Also I need to note that I tried to install with "gtk" and "-gtk". When enabled, pulls in net-libs/webkit-gtk-1.6.1-r301, but the error is perfectly the exact same where the compilation process breaks...
My emerge --info:
http://pastebin.com/UKs1uWHK
More precisely:
# emerge --info =media-video/handbrake-0.9.5_p4210:
http://pastebin.com/5VPHYMqF
End of build.log:
http://pastebin.com/Kw1cLpbr
Code:
# emerge -pqv =media-video/handbrake-0.9.5_p4210:
[ebuild  N    ] media-video/handbrake-0.9.5_p4210  USE="css gtk"

Soo...
I've searched already, and found no more than just the already linked pages with some relevance to the errors that importune me at the moment...
...[snip]...
Hmmmh... Just found something:
http://www.inmethod.com/forum/posts/list/90/1856.page
(not that I understand much of it... But I have to be looking for a clue...)
...
I'll go and employ what lucid brains I'm left with to ponder, mull over these and figure them out...
In the meantime, maybe someone knows better, to cut my chase...
Phew!
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 352

PostPosted: Mon Jan 02, 2012 11:49 am    Post subject: Re: "pic" flag on ffmpeg and x264 needed? Reply with quote

Here:
miroR wrote:

http://ubuntuforums.org/archive/index.php/t-786095-p-3.html

there was talk of x264 compiled statically...
If I tried to enable "static-libs" on media-libs/x264-0.0.20111220
would that be plain ctupid?
I mean, would handbrake then compile, maybe?
Ran out of ideas, this is breaking me...
The option is there, my understanding is not really... I can only be guessing...
I'll go and back my system up before I try and do so...
Who knows if in the meantime I get to read how someone made it who had a similar deadlock as this one that's stalling my day now... :)
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 352

PostPosted: Mon Jan 02, 2012 5:35 pm    Post subject: Re: "pic" flag on ffmpeg and x264 needed? Reply with quote

miroR wrote:

...[snip]
If I tried to enable "static-libs" on media-libs/x264
would that be plain stupid?
...[snip] :)

Maybe not stupid, but didn't help any.
Same error, again.
Back to top
View user's profile Send private message
miroR
Guru
Guru


Joined: 05 Mar 2008
Posts: 352

PostPosted: Tue Jan 03, 2012 2:46 am    Post subject: Cinelerra and Mencoder told me how to do it! Reply with quote

[quote="miroR"]
miroR wrote:
...[snip]... I need to hard burn in subtitles in MP4 video. Subtile file is made, I know of no other program t this time that can do that.
I need to do so, for the file to be uploadable with subtitles on Youtube or Vimeo or similarly, without the fuss of instructions and explanation on a separate file with the subtitles... Thanks if anyone points me to an alternative solution for me!
...[snip]...
Phew!

Yup, someone told me, and I am reporting it back here.
Cinelerra told me 8)
http://cinelerra.org/docs/split_manual_en/cinelerra_cv_manual_en_21.html
Actually she had already told me way ahead of my getting lost in this handbrake dead-end compile repetition exercise... It just happens people understand dimmly when they're old and little sick like Miro Rovis is. :oops:
Here is the video, I just posted it:
http://youtu.be/Oj7rOGHd9Tk
It has burnt-in subtitles and Mencoder, my friend and frriend of Cinelerra's did it for me.
And MPlayer/Mencoder they're grown in onto my fingertips, that's how often I use them, and I went on searching for whatnot for the task they were shouting out loud to me deaf old man off my fingertips that they could do it...
Lord, why do I have to live in this kind of ignorance :x
God bless all Gentooer population!
Back to top
View user's profile Send private message
keivan
n00b
n00b


Joined: 22 Nov 2010
Posts: 36

PostPosted: Thu Dec 13, 2012 6:13 pm    Post subject: Reply with quote

I've just compiled the HandBrake and this is my instruction:
Code:

emerge -av1 automake:1.4 net-libs/webkit-gtk dev-python/pywebkitgtk
export WANT_AUTOMAKE=1.11
svn co svn://svn.handbrake.fr/HandBrake/trunk HandBrake
./configure --launch --prefix=`pwd`
cd build
make
Back to top
View user's profile Send private message
nishant1234
n00b
n00b


Joined: 11 Dec 2012
Posts: 10

PostPosted: Fri Dec 14, 2012 6:24 am    Post subject: Reply with quote

I am having an error while compiling handbrake
Back to top
View user's profile Send private message
OCmylife
n00b
n00b


Joined: 07 Apr 2012
Posts: 23
Location: Bocholt

PostPosted: Sun Dec 16, 2012 1:10 pm    Post subject: Reply with quote

Me too, but when you read the error-message you`ll know why:

git-2_initial_clone: can't fetch from git://github.com/HandBrake/HandBrake.git

When you type this url in the browser you`ll notice that the mirror has moved to

https://github.com/HandBrake/HandBrakeMirror

I`m realively new to gentoo too. Could we just edit the ebuild with nano and change the mirror to the one that we need? And which link do we need exactly? I can`t live without handbrake :-/
Back to top
View user's profile Send private message
jesterchen
n00b
n00b


Joined: 21 Jan 2012
Posts: 19

PostPosted: Mon Feb 18, 2013 8:42 pm    Post subject: Reply with quote

Twist wrote:
If you are willing to just ignore the ebuild:

Code:

svn co svn://svn.handbrake.fr/HandBrake/trunk HandBrake
export WANT_AUTOMAKE=1.11
cd HandBrake
./configure
cd ./build
make

[...]
The resulting executable will be in HandBrake/build/gtk/src and called "ghb".

Still working for me, many thanks.
Back to top
View user's profile Send private message
emc
Guru
Guru


Joined: 02 Jul 2004
Posts: 388
Location: Cracow, Poland

PostPosted: Wed Mar 13, 2013 2:59 pm    Post subject: Reply with quote

I have compile problem with 0.9.8:
Code:
libtool: link: g++ -march=native -O2 -fomit-frame-pointer -pipe -I/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build//libhb -D_ENABLE_GST -Wl,--export-dynamic -Wl,--exclude-libs -Wl,ALL -Wl,-S -g0 -O3 -Wl,-O1 -Wl,--as-needed -o ghb callbacks.o queuehandler.o audiohandler.o subtitlehandler.o x264handler.o main.o settings.o resources.o presets.o preview.o icons.o icon_tools.o values.o appcast.o plist.o hb-backend.o renderer_button.o ghbcellrenderertext.o ghbcompositor.o ghb-dvd.o marshalers.o -pthread -pthread  -L/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build//libhb -L/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build//contrib/lib -lhb /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/liba52.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libmkv.a -lavformat -lavcodec -lavutil /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libdca.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libdvdnav.a -L/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libdvdread.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib//lib/libfaac.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib//lib/libmp3lame.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib//lib/libmpeg2.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libvorbisenc.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libvorbis.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib//lib/libsamplerate.a -lx264 /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libmp4v2.a -lswscale /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libtheora.a -L/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib//lib /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libogg.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libbluray.a -lpthread /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libass.a -lfribidi -lharfbuzz -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lpangoft2-1.0 -lpango-1.0 /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libfontconfig.a /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libfreetype.a -lbz2 -lgstinterfaces-0.10 -lgstvideo-0.10 -lgstbase-0.10 -lgstpbutils-0.10 -lgstreamer-0.10 -lgmodule-2.0 -lgthread-2.0 -lrt /var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/contrib/lib/libxml2.a -ldl -lz -lm -lnotify -lgdk_pixbuf-2.0 -lgio-2.0 -ldbus-glib-1 -ldbus-1 -lgudev-1.0 -lgobject-2.0 -lglib-2.0 -pthread
make[3]: Leaving directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/gtk/src'
Making all in po
make[3]: Entering directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/gtk/po'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/gtk/po'
make[3]: Entering directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/gtk'
make[3]: Leaving directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/gtk'
make[2]: Leaving directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/gtk'
make[1]: Leaving directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build/gtk'
make: Leaving directory `/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8/build'
emake failed
 * ERROR: media-video/handbrake-0.9.8 failed (compile phase):
 *   failed compiling handbrake
 *
 * Call stack:
 *     ebuild.sh, line  93:  Called src_compile
 *   environment, line 3624:  Called die
 * The specific snippet of code:
 *       WANT_AUTOMAKE="${AUTOMAKE_VERSION}" emake -C build || die "failed compiling ${PN}"
 *
 * If you need support, post the output of `emerge --info '=media-video/handbrake-0.9.8'`,
 * the complete build log and the output of `emerge -pqv '=media-video/handbrake-0.9.8'`.
 * This ebuild is from an overlay named 'local': '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/media-video/handbrake-0.9.8/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-video/handbrake-0.9.8/temp/environment'.
 * Working directory: '/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8'
 * S: '/var/tmp/portage/media-video/handbrake-0.9.8/work/HandBrake-0.9.8'

emerge --info
Code:
Portage 2.1.11.52 (default/linux/amd64/13.0/desktop, gcc-4.6.3, glibc-2.15-r3, 3.7.5-pf x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.7.5-pf-x86_64-AMD_E-450_APU_with_Radeon-tm-_HD_Graphics-with-gentoo-2.1
KiB Mem:     7763776 total,   5582212 free
KiB Swap:   10485756 total,  10485756 free
Timestamp of tree: Wed, 13 Mar 2013 14:15:01 +0000
ld GNU ld (GNU Binutils) 2.22
ccache version 3.1.9 [enabled]
app-shells/bash:          4.2_p37
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo sunrise x-lila-theme local
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -fomit-frame-pointer -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-march=native -O2 -fomit-frame-pointer -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.mneisen.org/ http://gentoo.mirror.pw.edu.pl/ ftp://ftp.vectranet.pl/gentoo/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/lila-theme /usr/local/portage"
SYNC="rsync://rsync6.pl.gentoo.org/gentoo-portage"
USE="7zip X a52 aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdda cddb cdr cli consolekit cracklib crypt cups cxx dbus directfb dri dts dvd dvdr emboss encode exif fam fbcon ffmpeg firefox flac fontconfig fortran gdbm gif gnome-keyring gpm gstreamer gtk gtk2 iconv icu ipv6 jpeg jpeg2k lame lcms ldap libnotify libv4l libv4l2 lm_sensors mad matroska mmx mmxext mng modules mp3 mp4 mpeg mudflap multilib ncurses network-cron nls nptl ntfs ogg opengl openmp orc pam pango pcre pdf png policykit ppds quicktime raw readline samba sdl session smp spell sse sse2 sse3 sse4a ssl ssse3 startup-notification svg tcpd threads thunar tiff truetype udev udisks unicode upnp upower usb v4l vim-syntax vorbis wifi wma wmf wxwidgets x264 xcb xcomposite xinerama xml xpm xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="synaptics evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en pl en_US pl_PL" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="radeon" XFCE_PLUGINS="brightness menu trash logout" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Back to top
View user's profile Send private message
lyallp
Veteran
Veteran


Joined: 15 Jul 2004
Posts: 1263
Location: Adelaide/Australia

PostPosted: Tue May 28, 2013 12:15 pm    Post subject: Reply with quote

Just wondering if there is an ebuild for HandBrake that will build.

For me, after unmasking, keywording, etc. I end up with a blockage on ffmpeg, which, to my untrained eye, is insurmountable if I don't want to break the rest of my system.
Code:
# emerge --pretend --verbose --deep handbrake

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] media-libs/libbluray-0.2.3  USE="java xml -aacs -static-libs -utils" 455 kB
[ebuild  N    ~] media-libs/libmkv-0.6.5.1  32 kB
[ebuild  N    *] media-video/libav-9999:0/9  USE="X aac alsa amr bzip2 cdio encode gpl hardcoded-tables jpeg2k mmx mmxext mp3 oss sdl ssl threads truetype v4l vorbis x264 xvid zlib -3dnow -3dnowext (-altivec) -avx -bindist -cpudetection -custom-cflags -debug -doc -faac -fdk -frei0r -gsm -ieee1394 -jack (-neon) -network -openssl -opus -pic -pulseaudio -rtmp -schroedinger -speex -ssse3 -static-libs {-test} -theora -tools -vaapi -vdpau (-vis) -vpx" 0 kB
[ebuild     U #] virtual/ffmpeg-9 [0.10.3] USE="X encode jpeg2k mp3 sdl threads truetype x264 -gsm -opus% -speex -theora -vaapi -vdpau" 0 kB
[ebuild  N    #] media-video/handbrake-9999  USE="ffmpeg -fdk -gstreamer -gtk" 0 kB
[blocks B      ] media-video/ffmpeg ("media-video/ffmpeg" is blocking media-video/libav-9999)

Total: 5 packages (1 upgrade, 4 new), Size of downloads: 487 kB
Conflict: 1 block (1 unsatisfied)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

virtual/ffmpeg:0

  (virtual/ffmpeg-0.10.3::gentoo, installed) pulled in by
    =virtual/ffmpeg-0.10* required by (media-plugins/gst-plugins-ffmpeg-0.10.13-r2::gentoo, installed)
    =virtual/ffmpeg-0.10.3 required by (media-plugins/gst-plugins-ffmpeg-0.10.13-r2::gentoo, installed)
    (and 17 more with the same problems)

  (virtual/ffmpeg-9::gentoo, ebuild scheduled for merge) pulled in by
    =virtual/ffmpeg-9 required by (media-video/handbrake-9999::gentoo, ebuild scheduled for merge)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


_________________
...Lyall
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum